Delen via


Migration Recovery Points - Get

Hiermee haalt u een herstelpunt op voor een migratie-item.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{resourceName}/replicationFabrics/{fabricName}/replicationProtectionContainers/{protectionContainerName}/replicationMigrationItems/{migrationItemName}/migrationRecoveryPoints/{migrationRecoveryPointName}?api-version=2025-08-01

URI-parameters

Name In Vereist Type Description
fabricName
path True

string

Infrastructuurnaam.

migrationItemName
path True

string

Naam van migratie-item.

migrationRecoveryPointName
path True

string

De naam van het herstelpunt voor migratie.

protectionContainerName
path True

string

Naam van beveiligingscontainer.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

resourceName
path True

string

De naam van de kluis

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

MigrationRecoveryPoint

De Azure-bewerking is voltooid.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Gets a recovery point for a migration item.

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/cb53d0c3-bd59-4721-89bc-06916a9147ef/resourceGroups/resourcegroup1/providers/Microsoft.RecoveryServices/vaults/migrationvault/replicationFabrics/vmwarefabric1/replicationProtectionContainers/vmwareContainer1/replicationMigrationItems/virtualmachine1/migrationRecoveryPoints/b22134ea-620c-474b-9fa5-3c1cb47708e3?api-version=2025-08-01

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/Subscriptions/cb53d0c3-bd59-4721-89bc-06916a9147ef/resourceGroups/resourcegroup1/providers/Microsoft.RecoveryServices/vaults/migrationvault/replicationOperationStatus/a93f3cd5-9035-4b1e-a2c9-b16df6d5d34b?api-version=2025-08-01
{
  "name": "b22134ea-620c-474b-9fa5-3c1cb47708e3",
  "type": "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrationRecoveryPoints",
  "id": "/Subscriptions/cb53d0c3-bd59-4721-89bc-06916a9147ef/resourceGroups/resourcegroup1/providers/Microsoft.RecoveryServices/vaults/migrationvault/replicationFabrics/vmwarefabric1/replicationProtectionContainers/vmwareContainer1/replicationMigrationItems/virtualmachine1/migrationRecoveryPoints/b22134ea-620c-474b-9fa5-3c1cb47708e3",
  "properties": {
    "recoveryPointTime": "2017-04-26T06:37:50.8082715Z",
    "recoveryPointType": "CrashConsistent"
  }
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

MigrationRecoveryPoint

Herstelpunt voor een migratie-item.

MigrationRecoveryPointProperties

Eigenschappen van herstelpunten voor migratie-items.

MigrationRecoveryPointType

Het type herstelpunt.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

MigrationRecoveryPoint

Herstelpunt voor een migratie-item.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijv. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Resourcelocatie

name

string

De naam van de resource

properties

MigrationRecoveryPointProperties

Eigenschappen van herstelpunten.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

MigrationRecoveryPointProperties

Eigenschappen van herstelpunten voor migratie-items.

Name Type Description
recoveryPointTime

string (date-time)

De tijd van het herstelpunt.

recoveryPointType

MigrationRecoveryPointType

Het type herstelpunt.

MigrationRecoveryPointType

Het type herstelpunt.

Waarde Description
NotSpecified

Niet opgegeven

ApplicationConsistent

ApplicatieConsistent

CrashConsistent

CrashConsistent

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.